%{?nodejs_find_provides_and_requires}

%global packagename jshint
%global enable_tests 0
# tests disabled due to missing build dependencies

Name:		nodejs-jshint
Version:	2.8.0
Release:	3%{?dist}
Summary:	Static analysis tool for JavaScript

License:	MIT
URL:		https://github.com/jshint/jshint.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(browserify)
%endif

Requires:	nodejs

%description
Static analysis tool for JavaScript


%prep
%setup -q -n package

%nodejs_fixdep cli
%nodejs_fixdep lodash

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin/ data/ src/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
npm run test-node && npm run test-browser
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 2.8.0-3
- Fix dependency version on npm(lodash)

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 2.8.0-2
- Fix dependency version on npm(cli)

* Thu Oct 15 2015 Jared Smith <jsmith@fedoraproject.org> - 2.8.0-1
- Initial packaging
